Page MenuHomePhabricator

Only allow moves of files that have one of the required templates
Closed, ResolvedPublic3 Story Points

Description

Acceptance Criteria

  • Check if the move candidate's file page contains on of the required templates (describes as "Templates/good" in the appropriate config file)
  • If it does contain one of the required templates, proceed to displaying the Special:Import page without any information to the user
  • If it does not contain any of the required templates, please proceed to the error page with the error: The file cannot be imported, because it is not marked with one of the required licences.
  • If there is no section "templates/good" in the config file, please also proceed to the error page with the error: The configuration file for your wiki (linking to the config file) does not contain enough info about <problem e.g. Template or Template/Good> to know if this file can be put on Commons
  • The template names should be case-independent (lowercase matches uppercase)

Notes

  • Probably the same regex as in T194129, only other names and strings

Details

Related Gerrit Patches:
operations/mediawiki-config : masterEnable license filters for the FileImporter in production
mediawiki/extensions/FileImporter : masterRemove sentence asking to "add a license"
mediawiki/extensions/FileImporter : masterAllow file to be moved if it contains at least one of the required templates

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptMay 11 2018, 1:24 PM
Lea_WMDE triaged this task as Medium priority.May 11 2018, 1:24 PM
Lea_WMDE set the point value for this task to 3.
Lea_WMDE updated the task description. (Show Details)
Andrew-WMDE moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2018-06-05 board.

Change 437704 had a related patch set uploaded (by Andrew-WMDE; owner: Andrew-WMDE):
[mediawiki/extensions/FileImporter@master] Allow file to be moved if it contains at least one of the required templates

https://gerrit.wikimedia.org/r/437704

Change 437704 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Allow file to be moved if it contains at least one of the required templates

https://gerrit.wikimedia.org/r/437704

To tests: I configured https://mwfileimport.wmflabs.org/wiki/index.php/Special:ImportFile so it can be used with the CommonsHelper2 config files.

Change 439867 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Thiemo Kreuz (WMDE)):
[mediawiki/extensions/FileImporter@master] Remove sentence asking to "add a license"

https://gerrit.wikimedia.org/r/439867

Change 439867 merged by jenkins-bot:
[mediawiki/extensions/FileImporter@master] Remove sentence asking to "add a license"

https://gerrit.wikimedia.org/r/439867

Change 440864 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[operations/mediawiki-config@master] Enable license filters for the FileImporter in production

https://gerrit.wikimedia.org/r/440864

Change 440864 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable license filters for the FileImporter in production

https://gerrit.wikimedia.org/r/440864

Mentioned in SAL (#wikimedia-operations) [2018-06-25T14:23:53Z] <addshore@deploy1001> Synchronized wmf-config/CommonSettings.php: [[gerrit:440864|Enable license filters for the FileImporter in production]] T194502 (duration: 00m 55s)

Vvjjkkii renamed this task from Only allow moves of files that have one of the required templates to h4caaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii removed Andrew-WMDE as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: Andrew-WMDE; removed: gerritbot.
Bodhisattwa renamed this task from h4caaaaaaa to Only allow moves of files that have one of the required templates.Jul 1 2018, 2:12 PM
Bodhisattwa assigned this task to Andrew-WMDE.
Bodhisattwa lowered the priority of this task from High to Medium.
Bodhisattwa updated the task description. (Show Details)
Lea_WMDE closed this task as Resolved.Jul 3 2018, 12:20 PM
CommunityTechBot set the point value for this task to 3.Jul 5 2018, 6:41 PM
CommunityTechBot updated the task description. (Show Details)